This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 2012 - NetworkInterface.GetPhysicalAddress mangles the address
: NetworkInterface.GetPhysicalAddress mangles the address
Status: RESOLVED FIXED
Product: iOS
Classification: Xamarin
Component: Class Libraries
: 5.0
: Macintosh Mac OS
: --- normal
: Untriaged
Assigned To: Gonzalo Paniagua Javier
:
:
:
:
  Show dependency treegraph
 
Reported: 2011-11-12 14:07 EST by Derik Palacino
Modified: 2012-01-16 17:10 EST (History)
8 users (show)

See Also:
Tags:
Test Case URL:
External Submit: ---


Attachments

Description Derik Palacino 2011-11-12 14:07:07 EST
In short, calling to get the physical address of a network interface mangles
the address. Of the 6 segments that comprise a MAC address the first 3 become
the last 3 and the last 3 are all 0.

Example:

Obj-C MAC: 00:16:CB:CB:BC:3B 
MonoTouch MAC: CB:BC:3B:0:0:0 


For more information please see:

On-going discussion, source code and reference URLs
http://monotouch.2284126.n4.nabble.com/Get-MAC-address-td4017921.html
Comment 1 Derik Palacino 2011-11-12 14:07:52 EST
It has also been reported that this is an issue in OSX in addition to iOS.
Comment 2 Gonzalo Paniagua Javier 2011-11-17 11:21:04 EST
I'll take a look at this.
Comment 3 Gonzalo Paniagua Javier 2011-12-13 10:28:32 EST
Fixed in master/c89f1eb, mono-2-10/a02076b
Comment 4 Derik Palacino 2011-12-13 11:14:03 EST
Exciting news, will there be a build soon that includes this fix? This is huge
since Apple killed the device unique identifier!
Comment 5 Dean 2012-01-03 02:38:31 EST
Any news on when this will be released or is there any work around?
Comment 6 Rolf Bjarne Kvinge 2012-01-03 10:00:29 EST
It will be released with MonoTouch 5.0.4 (which should be coming later this
month).
Comment 7 Chris Hardy 2012-01-03 18:08:30 EST
Just a note, it should be released with MonoTouch 5.0.5 since 5.0.4 is already
released :)
Comment 8 René Ruppert 2012-01-16 08:06:56 EST
Should the fix be in the 5.1.1 branch? I'm asking because it is not.
Comment 9 Rolf Bjarne Kvinge 2012-01-16 08:09:34 EST
No, this was fixed after 5.1.1 was released. It will be in 5.1.2 though.
Comment 10 René Ruppert 2012-01-16 08:16:21 EST
Is it possible to use some source code from Github and include it directly in
my app so I could have access to the MAC address even before 5.1.2 is released?
Comment 11 Dean 2012-01-16 17:07:36 EST
oh no! it didn't make it in 5.1.1... as Rene, is there anyway we can fix it
ourselves?

I have an app update I need to get through and this is one of the last bits
that is holding it up now.

Cheers
Dean
Comment 12 Rolf Bjarne Kvinge 2012-01-16 17:08:26 EST
Dean: you can get 5.1.2, which came out just now :)
Comment 13 Dean 2012-01-16 17:10:04 EST
Thanks Rolf, just hit Check for Updates and here it comes! yay!

Note You need to log in before you can comment on or make changes to this bug.